# This package is really noarch, but it has to be installed in an arch-specific
# location, so we build it as an arch-specific package.
%define debug_package %{nil}
%define flocqdir %{_libdir}/coq/user-contrib/Flocq
%define coqver 8.4pl2

Name:           coq-flocq
Version:        2.1.0
Release:        %mkrel 1
Summary:        Formalization of floating point numbers for Coq

Group:          Sciences/Computer science
License:        LGPLv3+
URL:            http://flocq.gforge.inria.fr/
Source0:        https://gforge.inria.fr/frs/download.php/30884/flocq-%{version}.tar.gz

BuildRequires:  coq = %{coqver}
Requires:       coq = %{coqver}

%description
Flocq (Floats for Coq) is a floating-point formalization for the Coq
system.  It provides a comprehensive library of theorems on a
multi-radix multi-precision arithmetic.  It also supports efficient
numerical computations inside Coq.

%prep
%setup -q -n flocq-%{version}

%build
# We do NOT want to specify --libdir, and we don't need CFLAGS, etc.
./configure

# %%{?_smp_mflags} sometimes succeeds, sometimes fails...
make all html

%install
make install DESTDIR=%{buildroot}

# Also install the source files
cp -p src/*.v %{buildroot}%{flocqdir}
cp -p src/Appli/*.v %{buildroot}%{flocqdir}/Appli
cp -p src/Calc/*.v %{buildroot}%{flocqdir}/Calc
cp -p src/Core/*.v %{buildroot}%{flocqdir}/Core
cp -p src/Prop/*.v %{buildroot}%{flocqdir}/Prop

%files
%doc AUTHORS COPYING NEWS README html
%dir %{flocqdir}
%{flocqdir}/*.v
%{flocqdir}/*.vo
%{flocqdir}/Appli/*.v
%{flocqdir}/Calc/*.v
%{flocqdir}/Core/*.v
%{flocqdir}/Prop/*.v
%{flocqdir}/Appli/*.vo
%{flocqdir}/Calc/*.vo
%{flocqdir}/Core/*.vo
%{flocqdir}/Prop/*.vo



%changelog
* Fri Nov 29 2013 malo <malo> 2.1.0-1.mga4
+ Revision: 554097
- fix RPM group
- spec clean-up after import from Fedora
- imported package coq-flocq


* Tue May 14 2013 Jerry James <loganjerry@gmail.com> - 2.1.0-5
- Rebuild for coq 8.4pl2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan  7 2013 Jerry James <loganjerry@gmail.com> - 2.1.0-3
- Rebuild for coq 8.4pl1

* Tue Aug 21 2012 Jerry James <loganjerry@gmail.com> - 2.1.0-2
- Rebuild for coq 8.4

* Sat Jul 28 2012 Jerry James <loganjerry@gmail.com> - 2.1.0-1
- New upstream release
- Build for OCaml 4.0.0 and coq 8.3pl4

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan  7 2012 Jerry James <loganjerry@gmail.com> - 2.0.0-3
- Rebuild for OCaml 3.12.1

* Tue Dec 27 2011 Jerry James <loganjerry@gmail.com> - 2.0.0-2
- Rebuild for coq 8.3pl3

* Mon Dec 12 2011 Jerry James <loganjerry@gmail.com> - 2.0.0-1
- New upstream release
- Change subpackage from -devel to -source to match gappalib-coq.

* Fri Oct 28 2011 Jerry James <loganjerry@gmail.com> - 1.4.0-3
- Fix broken version numbers in BR and Requires

* Wed Oct 26 2011 Jerry James <loganjerry@gmail.com> - 1.4.0-2
- Split out a -devel subpackage

* Tue Jul  5 2011 Jerry James <loganjerry@gmail.com> - 1.4.0-1
- Initial RPM
